{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>{% block title %}ClovEarth{% endblock %}</title>
    <link rel="shortcut icon" type="image/png" href="{% static 'favicon.ico' %}"/>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            crossorigin="anonymous"></script>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <a class="navbar-brand" href="/projects/">ClovEarth
        <img src="{% static 'img/img.png' %}" height="25">
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item {% if request.path == '/projects/' %}active{% endif %}">
                <a class="nav-link" href="/projects/">Les projets</a>
            </li>
            {% if user.porteur %}
                <li class="nav-item {% if request.path == '/projects/new' %}active{% endif %}">
                    <a class="nav-link" href="/projects/new">Créer un projet</a>
                </li>
            {% endif %}
            {% if user.evaluateur %}
                <li class="nav-item {% if request.path == '/projects/evaluate' %}active{% endif %}">
                    <a class="nav-link" href="/projects/evaluate">Projets à évaluer</a>
                </li>
            {% endif %}
            <li class="nav-item {% if request.path == '/users/me' %}active{% endif %}">
                <a class="nav-link" href="/users/me">Mon profil</a>
            </li>
            <li class="nav-item {% if request.path == '/users/contact' %}active{% endif %}">
                <a class="nav-link" href="{% url 'contact' %}">Contact</a>
            </li>
            <li class="nav-item {% if request.path == '/users/legal' %}active{% endif %}">
                <a class="nav-link" href="{% url 'legal' %}">Mentions légales</a>
            </li>
            <li class="nav-item {% if request.path == '/projects/rss' %}active{% endif %}">
                <a class="nav-link" href="/projects/rss">
                    <img src="{% static 'rss.svg' %}" height="25">
                    RSS
                </a>
            </li>
        </ul>
        <ul class="navbar-nav ml-auto">
            {% if user.is_authenticated or request.path == "/projects/payment" %}
                <li>
                    <a href="{% url 'logout' %}" class="btn btn-success nav-item text-white">Se déconnecter</a>
                </li>
            {% else %}
                <li>
                    <a href="{% url 'register' %}" class="btn btn-success nav-item mr-1 text-white">Créer un compte</a>
                </li>
                <li>
                    <a href="{% url 'login' %}" class="btn btn-success nav-item text-white">Se connecter</a>
                </li>
            {% endif %}
        </ul>
    </div>
</nav>

{% block body %}
{% endblock %}

<!-- Modal -->
<div id="error-modal" class="modal" tabindex="-1" role="dialog">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="error-modal-title"></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">×</span>
            </button>
        </div>
        <div class="modal-body">
            <p id="error-modal-description"></p>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn text-danger" data-dismiss="modal">Close</button>
        </div>
    </div>
</div>

</body>
</html>